Lingxing
切换旧版

多渠道订单 - 交易明细

POST/basicOpen/openapi/salesOrder/multi-channel/list/transaction

支持查询【销售】>【SC订单】>【多渠道订单】交易明细数据

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/openapi/salesOrder/multi-channel/list/transaction HTTPSPOST1

请求参数

amazonOrderIdstring必填
亚马逊订单ID
sidinteger必填
店铺id ,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/openapi/salesOrder/multi-channel/list/transaction?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "sid": 7,
    "amazonOrderId": "S03-4986301-7824623"
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
示例 ae08ecdd89dd4c0380d3b41d41a57c3d.1727428866172
response_timestring必填
响应时间
示例 2024-09-27 17:21:12
dataobject必填
隐藏子属性
listarray<object>必填
隐藏子属性
costDetailsarray<object>必填
明细
隐藏子属性
currencyAmountstring必填
金额
示例 -JP¥713.00
typestring必填
交易类型
示例 FBAPerUnitFulfillmentFee
currencyCodestring必填
币种
示例 JPY
eventTypestring必填
来源
示例 Shipment
fidstring必填
结算编号
示例 HIO94MRSKWFP
fundTransferDateLocalestring必填
转账日期
示例 2021-04-15T20:24:37+09:00
postedDateLocalestring必填
结算时间
示例 2021-04-08T06:21:30+09:00
productNamestring必填
产品名
示例 5356
quantitystring必填
数量
示例 0
sellerSkustring必填
MSKU
示例 1100X1644-1-2
sidstring必填
店铺id
示例 7
skustring必填
sku
示例 35636
totalCurrencyAmountstring必填
总金额
示例 JP¥-713.00
totalCurrencyAmountsstring必填
总金额
示例 -JP¥713.00
totalinteger必填
总数
示例 0

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "1e5ce657c37246a29f6ce1268fa6383f.1728616190379",
    "response_time": "2024-10-11 11:09:53",
    "data": {
        "list": [
            {
                "costDetails": [
                    {
                        "currencyAmount": "-JP¥713.00",
                        "type": "FBAPerUnitFulfillmentFee"
                    }
                ],
                "currencyCode": "JPY",
                "eventType": "Shipment",
                "fid": "HIO94MRSKWFP",
                "fundTransferDateLocale": "2021-04-15T20:24:37+09:00",
                "postedDateLocale": "2021-04-08T06:21:30+09:00",
                "productName": "5356",
                "quantity": "0",
                "sellerSku": "1100X1644-1-2",
                "sid": "7",
                "sku": "35636",
                "totalCurrencyAmount": "JP¥-713.00"
            }
        ],
        "totalCurrencyAmounts": "-JP¥713.00"
    },
    "total": 0
}